package cn.iocoder.hake.module.agent.enums.agent;

import lombok.Getter;


@Getter
/**
 * 是否允许枚举值：0-否；1-是
 *
 * @author hake
 */
public enum JudgeFlagEnum {
//    是否允许发展下级：0-否；1-是
    IS_FLAG(0, "是"),
    NO_FLAG(1, "否");

    /**
     * 状态编码
     */
    private final Integer code;

    /**
     * 状态描述
     */
    private final String description;

    /**
     * 构造方法
     * @param code 状态编码
     * @param description 状态描述
     */
    JudgeFlagEnum(Integer code, String description) {
        this.code = code;
        this.description = description;
    }

    /**
     * 获取状态编码
     * @return 状态编码
     */
    public Integer getCode() {
        return code;
    }

    /**
     * 获取状态描述
     * @return 状态描述
     */
    public String getDescription() {
        return description;
    }

    /**
     * 根据编码获取枚举实例
     * @param code 状态编码
     * @return 对应的枚举实例，如果没有匹配的则返回null
     */
    public static JudgeFlagEnum getByCode(Integer code) {
        for (JudgeFlagEnum status : values()) {
            if (status.code == code) {
                return status;
            }
        }
        return null;
    }
}

